#    Copyright (C) 2005 - 2006 by Alexander Saal                                  
#    alex.saal@gmx.de                                                      
#                                                                          
#    This program is free software; you can redistribute it and/or modify  
#    it under the terms of the GNU General Public License as published by  
#    the Free Software Foundation; either version 2 of the License, or     
#    (at your option) any later version.                                   
#                                                                          
#    This program is distributed in the hope that it will be useful,       
#    but WITHOUT ANY WARRANTY; without even the implied warranty of        
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         
#    GNU General Public License for more details.                          
#                                                                          
#    You should have received a copy of the GNU General Public License     
#    along with this program; if not, write to the                         
#    Free Software Foundation, Inc.,                                       
#    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.     

# Qt 4 Settings
TEMPLATE = app
DESTDIR = bin
DEPENDPATH += include ui
INCLUDEPATH += include
RESOURCES += res/vsprogen.qrc
CONFIG += release thread warn_on qt

# Input
FORMS += ui/vsprogen.ui

HEADERS += include/vsprogen.h

SOURCES += src/main.cpp
SOURCES += src/vsprogen.cpp

unix{
  UI_DIR = unix/ui
  MOC_DIR = unix/moc
  OBJECTS_DIR = unix/obj
  TARGET = unix/bin/vsprogen
  QMAKE_POST_LINK = strip -s unix/bin/vsprogen
}

win32{
  TARGET = vsprogen
  RCC_DIR = win/rcc
  MOC_DIR += win/moc
  OBJECTS_DIR += win/obj
  UI_DIR += win/ui
}